API referenceAccount and billing
Complete a test purchase
Simulated billing only: approve, decline or require card action on a test checkout. Emits the same events Stripe would; no card is charged.
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
id*string
Match
^(sim_cs|cs)_[A-Za-z0-9_]{8,200}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/billing/checkout/string/complete" \ -H "Content-Type: application/json" \ -d '{ "outcome": "approve" }'{ "object": "checkout", "id": "string", "kind": "credits", "status": "open", "source": "none", "url": "string", "amount_micro": 0, "fee_micro": 0, "total_micro": 0, "plan": "free", "created_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z"}